首页 建站教程如何将WordPress 5.7默认的jQuery 3.5.1升级到jQuery 3.6.0

如何将WordPress 5.7默认的jQuery 3.5.1升级到jQuery 3.6.0

在WordPress中是集成了jQuery库(jQuery 是一个 JavaScript 库,jQuery 极大地简化了 JavaScript 编程)的,部分插件或一些特定需求需要用到最新版的jQuery库。截止到发稿日期jQuery最新版为jQuery 3.6.0,本文将介绍如何将WordPress 5.7默认的jQuery 3.5.1升级到jQuery 3.6.0。

%title插图%num

将以下代码加入到主题的functions.php文件中即可:

function up_jquery_js() {
wp_deregister_script( 'jquery-core' );//注销原jquery版本
wp_register_script( 'jquery-core', "//code.jquery.com/jquery-3.6.0.min.js", array(), '3.6.0' );//注册新jquery版本
}
add_action( 'wp_enqueue_scripts', 'up_jquery_js' );

如果不需要jQuery中的ajax和effects模块,可以使用体积更小的jquery-3.6.0.slim.min.js文件(约70.6 KB,缩小了10几KB),代码如下:

function up_jquery_js() {
wp_deregister_script( 'jquery-core' );//注销原jquery版本
wp_register_script( 'jquery-core', "//code.jquery.com/jquery-3.6.0.slim.min.js", array(), '3.6.0' );//注册新jquery版本
}
add_action( 'wp_enqueue_scripts', 'up_jquery_js' );

另外可以将jquery-3.6.0.min.js或jquery-3.6.0.slim.min.js下载到本地服务器上,替换以上代码中的URL地址即可。

jQuery 3.6.0主要变更日志

  • 执行JSONP错误脚本响应,即使存在JSONP错误也返回JSON。
  • 在parseXML报告浏览器错误。
  • 恢复对jQuery 3.x的QtWebKit支持。
  • 将master重命名为primary。
  • 修改可靠的TrDimensions支持测试以解决FF。
  • 将JS Foundation提及的内容更改为OpenJS Foundation。
  • 镜头聚焦再触发不注重原始元素后面。
  • 如果模糊删除了元素,请不要崩溃。
  • 卸下event.which垫片。
  • 确保显示设置为支持div。
  • 修复不具有dataType的不自动执行脚本的测试。
  • 跳过Legacy Edge中的jQuery.parseXML错误报告测试。
  • 修复jQuery.parseXML错误报告测试。
  • 在Node.js模拟服务器(4c572a7f)中识别带点的回调。
  • 跳过Safari中的“卸载时的jQuery.ajax()”测试。
  • 删除未使用的局部变量。
  • 删除剩余的过时的jQuery.cache参考。
  • 删除过时的jQuery数据测试。

1 thought on “如何将WordPress 5.7默认的jQuery 3.5.1升级到jQuery 3.6.0